%define name	 kchildlock
%define version	  0.90.4
%define release	 %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE4
License:	GPLv2+
Source0:	%name-%version.tar.xz
Patch1:		kchildlock-doctype.patch
URL:		http://sourceforge.net/projects/kchildlock/files/
BuildRequires:	kdelibs4-devel
BuildRequires:  kdebase4-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Restricts Computer Usage Time of Children
Obsoletes:  	%name < %version

%description
This tool monitors and restricts the usage time of the computer.
It is intended to limit childrens time spent on the computer.
The limits can be specified per day of week and by lower and 
upper hour, and daily usage time.


%prep
%setup -q -n %{name}-%{version}
#%patch1 -p0

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%find_lang %{name} 

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{name}.lang
%_kde_libdir/kde4/kcm_kchildlock.so
%_kde_libdir/kde4/kded_kchildlockdaemon.so
%_kde_datadir/config/kchildlockrc
%_kde_services/kcm_kchildlock.desktop
%_kde_services/kded/kchildlockdaemon.desktop
%_var/opt/kchildlock/dummy.txt
%doc %_kde_docdir/HTML/en/kcontrol/%{name}
%{_datadir}/icons/hicolor/32x32/apps/kchildlock.png
%{_datadir}/icons/hicolor/48x48/apps/kchildlock.png
%{_datadir}/icons/hicolor/64x64/apps/kchildlock.png


%changelog
* Fri Dec 09 2011 Texstar <texstar at gmail.com> 0.90.4-1pclos2011
- 0.90.4

* Wed May 11 2011 Texstar <texstar at gmail.com> 0.90.1-1pclos2011
- update

* Mon Feb 21 2011 Texstar <texstar at gmail.com> 0.80.2-2pclos2011
- rebuild against kde 4.6.0

* Mon Dec 20 2010 Texstar <texstar at gmail.com> 0.80.2-1pclos2010
- 0.80.2

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.70.1-3pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.70.1-2pclos2010
- rebuild

* Sun Dec 07 2009 Texstar <texstar at gmail.com> 0.70.1-1pclos2010
- Create RPM


